Channels
Rename a channel in a project
PATCH
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthchannelId*stringLength
1 <= length- body
name*stringLength
1 <= lengthexpectedRevision*integerRange
1 <= valueResponse for status 200
application/json- response
channel*curl -X PATCH 'https://postbot.example/api/projects/string/channels/string' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"expectedRevision": 1
}'Example Response
{
"channel": {
"id": "string",
"projectId": "string",
"name": "string",
"profileVersionId": "string",
"state": "active",
"archivedAt": -9007199254740991,
"revision": -9007199254740991,
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileId": "string"
}
}